Update a message
Update a message
PATCH
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
/
contacts
/
{contact_identifier}
/
conversations
/
{conversation_id}
/
messages
/
{message_id}
Update a message
curl --request PATCH \
--url https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id} \
--header 'Content-Type: application/json' \
--data '
{
"submitted_values": {
"name": "My Name",
"title": "My Title",
"value": "value",
"csat_survey_response": {
"feedback_message": "Great service!",
"rating": 5
}
}
}
'import requests
url = "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}"
payload = { "submitted_values": {
"name": "My Name",
"title": "My Title",
"value": "value",
"csat_survey_response": {
"feedback_message": "Great service!",
"rating": 5
}
} }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
submitted_values: {
name: 'My Name',
title: 'My Title',
value: 'value',
csat_survey_response: {feedback_message: 'Great service!', rating: 5}
}
})
};
fetch('https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"submitted_values\": {\n \"name\": \"My Name\",\n \"title\": \"My Title\",\n \"value\": \"value\",\n \"csat_survey_response\": {\n \"feedback_message\": \"Great service!\",\n \"rating\": 5\n }\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}"
payload := strings.NewReader("{\n \"submitted_values\": {\n \"name\": \"My Name\",\n \"title\": \"My Title\",\n \"value\": \"value\",\n \"csat_survey_response\": {\n \"feedback_message\": \"Great service!\",\n \"rating\": 5\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 563,
"content": "Hi — is my order still on track?",
"message_type": 0,
"content_type": "text",
"content_attributes": {
"submitted_values": [
{
"name": "order_id",
"title": "Order",
"value": "A-10482"
}
]
},
"created_at": 1789957537,
"conversation_id": 169,
"sender": {
"additional_attributes": {
"avatar_background_color": "#D4F4DD",
"illustration_avatar_index": 31
},
"custom_attributes": {},
"email": "dana.brooks4821@example.com",
"id": 147,
"identifier": "user-4821",
"name": "Dana Brooks",
"phone_number": null,
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"thumbnail_background_color": "#D4F4DD",
"domain_logo_avatar": false,
"customer_verified": true,
"blocked": false,
"type": "contact"
}
}{
"error": "Resource could not be found"
}Path Parameters
The identifier obtained from API inbox channel
The source id of contact obtained on contact create
The numeric ID of the conversation
The numeric ID of the message
Body
application/json
Replies to the Bot Message Types
Show child attributes
Show child attributes
Response
Success
Id of the message
Text content of the message
0 = incoming, 1 = outgoing, 2 = activity, 3 = template.
Available options:
0, 1, 2, 3 Content type of the message
Structured attributes for the message. Apple Messages primitives arrive here as amb_primitive_type plus amb_primitive_data.
Created at time stamp of the message
Conversation Id of the message
Attachments if any
Details of the sender
Was this page helpful?
⌘I
Update a message
curl --request PATCH \
--url https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id} \
--header 'Content-Type: application/json' \
--data '
{
"submitted_values": {
"name": "My Name",
"title": "My Title",
"value": "value",
"csat_survey_response": {
"feedback_message": "Great service!",
"rating": 5
}
}
}
'import requests
url = "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}"
payload = { "submitted_values": {
"name": "My Name",
"title": "My Title",
"value": "value",
"csat_survey_response": {
"feedback_message": "Great service!",
"rating": 5
}
} }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
submitted_values: {
name: 'My Name',
title: 'My Title',
value: 'value',
csat_survey_response: {feedback_message: 'Great service!', rating: 5}
}
})
};
fetch('https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"submitted_values\": {\n \"name\": \"My Name\",\n \"title\": \"My Title\",\n \"value\": \"value\",\n \"csat_survey_response\": {\n \"feedback_message\": \"Great service!\",\n \"rating\": 5\n }\n }\n}"
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.tied.com/public/api/v1/inboxes/{inbox_identifier}/contacts/{contact_identifier}/conversations/{conversation_id}/messages/{message_id}"
payload := strings.NewReader("{\n \"submitted_values\": {\n \"name\": \"My Name\",\n \"title\": \"My Title\",\n \"value\": \"value\",\n \"csat_survey_response\": {\n \"feedback_message\": \"Great service!\",\n \"rating\": 5\n }\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 563,
"content": "Hi — is my order still on track?",
"message_type": 0,
"content_type": "text",
"content_attributes": {
"submitted_values": [
{
"name": "order_id",
"title": "Order",
"value": "A-10482"
}
]
},
"created_at": 1789957537,
"conversation_id": 169,
"sender": {
"additional_attributes": {
"avatar_background_color": "#D4F4DD",
"illustration_avatar_index": 31
},
"custom_attributes": {},
"email": "dana.brooks4821@example.com",
"id": 147,
"identifier": "user-4821",
"name": "Dana Brooks",
"phone_number": null,
"thumbnail": "/dashboard/images/default-contact-avatars/031.svg",
"thumbnail_background_color": "#D4F4DD",
"domain_logo_avatar": false,
"customer_verified": true,
"blocked": false,
"type": "contact"
}
}{
"error": "Resource could not be found"
}